ARTSPPINC = -I@artspp@/include
ARTSPPLIB = -L@artspp@/lib -lArts
SNMPPPLIB = ../../snmp++/classes/lib/libsnmp++.la
SNMPPINC  = -I../../snmp++/classes/include
CFDINC = -I../../classes/include -I../../include -I.
CFDLIB = ../../classes/lib/libCfd.la
OBJECTS = cfdases.o
CXX = @CXX@
CXXFLAGS = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = @ /bin/sh $(top_builddir)/libtool

all: cfdases

cfdases: ${OBJECTS} ${CFDLIB}
	${LIBTOOL} ${CXX} ${CXXFLAGS} ${OBJECTS} ${CFDLIB} ${ARTSPPLIB} \
	  ${SNMPPPLIB} @FLEXLIB@ @LIBS@ -o cfdases -rpath @artspp@/lib

cfdases.o: cfdases.cc
	${CXX} ${CXXFLAGS} -c cfdases.cc ${CFDINC} ${ARTSPPINC} ${SNMPPINC}

clean::
	rm -f ${OBJECTS} cfdases
	rm -Rf .libs

strip: all
	@ -if [ -f .libs/cfdases ]; then \
	  strip .libs/cfdases ; \
	else \
	  strip cfdases ; \
	fi

install: all
	${LIBTOOL} ../../install-sh -c -m 555 cfdases @bindir@/cfdases
	../../install-sh -c -m 444 cfdases.man @mandir@/manl/cfdases.l

tarball::
	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/cfdases
	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @mandir@/manl/cfdases.l


